﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Menu_NewFolder2_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

   
            menu.DataSource = CreateTestTable();
            //Establish hierarchy:    
            menu.DataFieldID = "ID";
            menu.DataFieldParentID = "ParentID";
            //Set Text, Value, and NavigateUrl:    
            menu.DataTextField = "Text";
            menu.DataValueField = "ID";
            menu.DataNavigateUrlField = "URL";
            menu.DataBind();
       
        
        
        //RadMenuItem currentItem = RadMenu1.FindItemByUrl(Request.Url.PathAndQuery);
        //if (currentItem != null)
        //{

        //    currentItem.HighlightPath();

        //}
        //else
        //    RadMenu1.Items[0].HighlightPath();

    }

    protected void RadMenu1_ItemDataBound(object sender, Telerik.Web.UI.RadMenuEventArgs e)
    {
        //Set additional properties. ToolTip for example:  
        DataRowView row = (DataRowView)e.Item.DataItem;
        e.Item.ToolTip = row["Tooltip"].ToString();


        RadMenuItem currentItem = menu.FindItemByUrl(Request.Url.PathAndQuery);
        if (currentItem != null)
        {

            currentItem.HighlightPath();

        }
        else
            menu.Items[0].HighlightPath();

    }

    private DataTable CreateTestTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ParentID");
        table.Columns.Add("Text");
        table.Columns.Add("URL");
        table.Columns.Add("Tooltip");
        table.Rows.Add(new string[] { "1", null, "root 1", "MenuUCBreadCrumbpage.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "2", null, "root 2", "MenuUCBreadCrumbpage.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "3", "1", "child 1.1", "MenuUCBreadCrumbpage.aspx", "child 1.1 tooltip" });
        table.Rows.Add(new string[] { "4", "1", "child 1.2", "MenuUCBreadCrumbpage.aspx", "child 1.2 tooltip" });
        table.Rows.Add(new string[] { "5", "1", "child 1.3", "MenuUCBreadCrumbpage.aspx", "child 1.3 tooltip" });
        table.Rows.Add(new string[] { "6", "5", "child 1.3.1", "MenuUCBreadCrumbpage.aspx", "child 1.3.1 tooltip" });
        table.Rows.Add(new string[] { "7", "5", "child 1.3.2", "MenuUCBreadCrumbpage.aspx", "child 1.3.2 tooltip" });
        table.Rows.Add(new string[] { "8", "5", "child 1.3.3", "MenuUCBreadCrumbpage.aspx", "child 1.3.3 tooltip" });
        return table;
    }
}
